# MPI_Type_set_name

set datatype name

## Synopsis

    int MPI_Type_set_name(MPI_Datatype datatype, const char *type_name)

## Input Parameters

datatype
  datatype whose identifier is to be set (handle)
type_name
  the character string which is remembered as the name (string)

## Notes for Fortran

All MPI routines in Fortran (except for `MPI_WTIME` and `MPI_WTICK`) have an additional argument `ierr` at the end of the argument list. `ierr` is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the `call` statement.

All MPI objects (e.g., `MPI_Datatype`, `MPI_Comm`) are of type `INTEGER` in Fortran.

## Errors

All MPI routines (except `MPI_Wtime` and `MPI_Wtick`) return an error value; C routines as the value of the function and Fortran routines in the last argument. Before the value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job. The error handler may be changed with `MPI_Comm_set_errhandler` (for communicators), `MPI_File_set_errhandler` (for files), and `MPI_Win_set_errhandler` (for RMA windows). The MPI-1 routine `MPI_Errhandler_set` may be used but its use is deprecated. The predefined error handler `MPI_ERRORS_RETURN` may be used to cause error values to be returned. Note that MPI does not guarentee that an MPI program can continue past an error; however, MPI implementations will attempt to continue whenever possible.

MPI_SUCCESS
  No error; MPI routine completed successfully.

MPI_ERR_ARG
  Invalid argument. Some argument is invalid and is not identified by a specific error class (e.g., `MPI_ERR_RANK`).

MPI_ERR_TYPE
  Invalid datatype argument. Additionally, this error can occur if an uncommitted MPI_Datatype (see `MPI_Type_commit`) is used in a communication call.

MPI_ERR_OTHER
  Other error; use `MPI_Error_string` to get more information about this error code.